/[gentoo-x86]/eclass/gst-plugins-ugly.eclass
Gentoo

Diff of /eclass/gst-plugins-ugly.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.22 Revision 1.23
1# Copyright 1999-2004 Gentoo Foundation 1# Copyright 1999-2011 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins-ugly.eclass,v 1.22 2011/03/17 21:12:40 nirbheek Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins-ugly.eclass,v 1.23 2011/05/04 02:23:40 leio Exp $
4 4
5# Author : foser <foser@gentoo.org> 5# Author : foser <foser@gentoo.org>
6 6
7# gst-plugins-ugly eclass 7# gst-plugins-ugly eclass
8# 8#
9# eclass to make external gst-plugins emergable on a per-plugin basis 9# eclass to make external gst-plugins emergable on a per-plugin basis
10# to solve the problem with gst-plugins generating far too much unneeded deps 10# to solve the problem with gst-plugins generating far too much unneeded deps
11# 11#
12# 3rd party applications using gstreamer now should depend on a set of plugins as 12# 3rd party applications using gstreamer now should depend on a set of plugins as
13# defined in the source, in case of spider usage obtain recommended plugins to use from 13# defined in the source, in case of spider usage obtain recommended plugins to use from
14# Gentoo developers responsible for gstreamer <gnome@gentoo.org>, the application developer 14# Gentoo developers responsible for gstreamer <gstreamer@gentoo.org>.
15# or the gstreamer team.
16 15
17inherit eutils versionator gst-plugins10 16inherit eutils versionator gst-plugins10
18 17
19 18
20### 19###
21# variable declarations 20# variable declarations
22### 21###
23 22
24MY_PN=gst-plugins-ugly 23MY_PN=gst-plugins-ugly
25MY_P=${MY_PN}-${PV} 24MY_P=${MY_PN}-${PV}
25
26# All relevant configure options for gst-plugins-ugly 26# All relevant configure options for gst-plugins-ugly
27# need a better way to extract these. 27# need a better way to extract these.
28my_gst_plugins_ugly="a52dec amrnb amrwb cdio dvdread lame mad mpeg2dec sidplay 28my_gst_plugins_ugly="a52dec amrnb amrwb cdio dvdread lame mad mpeg2dec sidplay
29twolame x264" 29twolame x264"
30
31# dvdnav and id3tag disabled/removed since -ugly-0.10.13
32if ! version_is_at_least "0.10.13"; then
33 my_gst_plugins_bad+=" dvdnav id3tag"
34fi
35 30
36GST_UGLY_EXPORTED_FUNCTIONS="src_unpack src_compile src_install" 31GST_UGLY_EXPORTED_FUNCTIONS="src_unpack src_compile src_install"
37 32
38case "${EAPI:-0}" in 33case "${EAPI:-0}" in
39 0) 34 0)
49esac 44esac
50 45
51# exports must be ALWAYS after inherit 46# exports must be ALWAYS after inherit
52EXPORT_FUNCTIONS ${GST_UGLY_EXPORTED_FUNCTIONS} 47EXPORT_FUNCTIONS ${GST_UGLY_EXPORTED_FUNCTIONS}
53 48
54if version_is_at_least "0.10.16"; then 49# Ensure GST_ORC is set to a default.
55 # Ensure GST_ORC is set to a default. This fact is also relied on in
56 # gst-plugins-ugly_src_configure, signalling it's >=0.10.16 and has orc options
57 GST_ORC=${GST_ORC:-"no"} 50GST_ORC=${GST_ORC:-"no"}
58 if [[ ${GST_ORC} == "yes" ]]; then 51if [[ ${GST_ORC} == "yes" ]]; then
59 IUSE="+orc" 52 IUSE="+orc"
60 fi
61else
62 unset GST_ORC
63fi 53fi
64 54
65#SRC_URI="mirror://gnome/sources/gst-plugins/${PV_MAJ_MIN}/${MY_P}.tar.bz2" 55#SRC_URI="mirror://gnome/sources/gst-plugins/${PV_MAJ_MIN}/${MY_P}.tar.bz2"
66SRC_URI="http://gstreamer.freedesktop.org/src/gst-plugins-ugly/${MY_P}.tar.bz2" 56SRC_URI="http://gstreamer.freedesktop.org/src/gst-plugins-ugly/${MY_P}.tar.bz2"
67 57
78RDEPEND="${RDEPEND} 68RDEPEND="${RDEPEND}
79 =media-libs/gst-plugins-base-0.10*" 69 =media-libs/gst-plugins-base-0.10*"
80DEPEND="${RDEPEND} 70DEPEND="${RDEPEND}
81 >=sys-apps/sed-4 71 >=sys-apps/sed-4
82 dev-util/pkgconfig" 72 dev-util/pkgconfig"
83
84# -ugly-0.10.16 uses orc optionally instead of liboil unconditionally.
85# While <0.10.16 configure always checks for liboil, it is linked to only by a52dec,
86# so we only builddep for all packages, and have a RDEPEND in old gst-plugins-a52dec
87if ! version_is_at_least "0.10.16"; then
88DEPEND="${DEPEND} >=dev-libs/liboil-0.3.8"
89fi
90 73
91RESTRICT=test 74RESTRICT=test
92fi 75fi
93 76
94### 77###
108 91
109 for plugin in ${GST_PLUGINS_BUILD}; do 92 for plugin in ${GST_PLUGINS_BUILD}; do
110 gst_conf="${gst_conf} --enable-${plugin} " 93 gst_conf="${gst_conf} --enable-${plugin} "
111 done 94 done
112 95
113 gst_orc_conf="" 96 gst_orc_conf="--disable-orc"
114 if [[ -n ${GST_ORC} ]]; then
115 if [[ ${GST_ORC} == "yes" ]]; then 97 if [[ ${GST_ORC} == "yes" ]]; then
116 gst_orc_conf="$(use_enable orc)" 98 gst_orc_conf="$(use_enable orc)"
117 else
118 gst_orc_conf="--disable-orc"
119 fi
120 fi 99 fi
121 #else leave gst_orc_conf empty, as $PV is less than 0.10.16, so no --enable/disable-orc yet
122 100
123 cd ${S} 101 cd ${S}
124 econf ${gst_orc_conf} ${@} --with-package-name="Gentoo GStreamer Ebuild" --with-package-origin="http://www.gentoo.org" ${gst_conf} || die "./configure failure" 102 econf ${gst_orc_conf} ${@} --with-package-name="Gentoo GStreamer Ebuild" --with-package-origin="http://www.gentoo.org" ${gst_conf} || die "./configure failure"
125 103
126} 104}

Legend:
Removed from v.1.22  
changed lines
  Added in v.1.23

  ViewVC Help
Powered by ViewVC 1.1.20